> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List calendar connections



## OpenAPI

````yaml get /api/v1/calendars/{calendarId}/connections
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/calendars/{calendarId}/connections:
    get:
      tags:
        - Calendar Connections
      summary: List calendar connections
      parameters:
        - schema:
            type: string
          required: true
          name: calendarId
          in: path
      responses:
        '200':
          description: List of connections
          content:
            application/json:
              schema:
                type: object
                properties:
                  connections:
                    type: array
                    items:
                      $ref: '#/components/schemas/CalendarConnection'
                required:
                  - connections
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    CalendarConnection:
      type: object
      properties:
        id:
          type: string
        calendarId:
          type: string
        provider:
          type: string
          enum:
            - GOOGLE
            - OUTLOOK
        accountEmail:
          type: string
        externalCalendarId:
          type: string
        invalid:
          type: boolean
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - calendarId
        - provider
        - accountEmail
        - externalCalendarId
        - invalid
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````